FETCH(9)

NAME
fetch, fubyte, fuswintr, fuword, fuword16, fuword32, fuword64 - fetch data from user-space

SYNOPSIS
#include <sys/types.h>
#include <sys/time.h>
#include <sys/systm.h>
int
fubyte(const void *base);
long
fuword(const void *base);
int
fuword16(void *base);
int32_t
fuword32(const void *base);
int64_t
fuword64(const void *base);
#include <sys/resourcevar.h>
int
fuswintr(void *base);

DESCRIPTION
The fetch functions are designed to copy small amounts of data from user-space.

The fetch routines provide the following functionality:

fubyte()
    Fetches a byte of data from the user-space address base.

fuword()
    Fetches a word of data from the user-space address base.

fuword16()
    Fetches 16 bits of data from the user-space address base.

fuword32()
    Fetches 32 bits of data from the user-space address base.

fuword64()
    Fetches 64 bits of data from the user-space address base.

fuswintr()
    Fetches a short word of data from the user-space address base. This function is safe to call during an interrupt context.

RETURN VALUES
The fetch functions return the data fetched or -1 on failure.

SEE ALSO
copy(9), store(9)